Verify Payment Intent
curl --request POST \
--url https://staging.api.tribease.com/v2/v2/payment-intents/verify-transaction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientReference": "<string>",
"transactionReference": "<string>"
}
'import requests
url = "https://staging.api.tribease.com/v2/v2/payment-intents/verify-transaction"
payload = {
"clientReference": "<string>",
"transactionReference": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({clientReference: '<string>', transactionReference: '<string>'})
};
fetch('https://staging.api.tribease.com/v2/v2/payment-intents/verify-transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"title": "<string>",
"data": [
{
"status": 123,
"detail": "<string>",
"clientReference": "<string>",
"transactionReference": "<string>"
}
]
}Payment Intent
Verify Payment Intent
POST
/
v2
/
payment-intents
/
verify-transaction
Verify Payment Intent
Request Body Parameters
The body parameter can be either of the following:string
Reference of the Payment Intent that was supplied by the client.
string
Transaction Reference of the Payment Intent.
Response Data
string
required
The status of the response
string
required
The title of the response
array
required
Show properties
Show properties
int
required
The status of the payment Intent. This is the status to checkout for. Possible values include: initiated, processing, requires_payment_method, succeeded, canceled, failed
string
required
Detailed description of the Payment Intent status
string
required
The unique reference supplied by the client
string
required
The Payment Intent transaction reference
⌘I

